import request from '@/utils/request'
import { parseStrEmpty } from '@/utils/ruoyi'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询用户列表
export function listUser(query) {
  return request({
    url: baseUrl + '/system/user/list',
    method: 'get',
    params: query
  })
}
export function listTenantUser(query) {
  return request({
    url: baseUrl + '/system/user/tenantList',
    method: 'get',
    params: query
  })
}

export function listByLikeNickNameOrUserName(query) {
  return request({
    url: baseUrl + '/system/user/listByLikeNickNameOrUserName',
    method: 'get',
    params: query
  })
}

export function listByLikeUserName(query) {
  return request({
    url: baseUrl + '/system/user/listByLikeUserName',
    method: 'get',
    params: query
  })
}

//查询中间表数据
export function getDeptUser(query) {
  return request({
    url: baseUrl + '/system/user/deptUser',
    method: 'get',
    params: query
  })
}
export function listEmployee(query) {
  return request({
    url: baseUrl + '/system/user/listEmployee',
    method: 'get',
    params: query
  })
}
// 查询用户列表
export function getUsersByDeptId(query) {
  return request({
    url: baseUrl + '/system/user/getUsersByDeptId',
    method: 'get',
    params: query
  })
}

//查询用户列表通过deptId
export function getUsersItemByDeptId(data) {
  return request({
    url: baseUrl + '/system/user/getUsersItemByDeptId',
    method: 'get',
    data: data
  })
}
// 查询用户详细
export function getUser(userId) {
  return request({
    url: baseUrl + '/system/user/' + parseStrEmpty(userId),
    method: 'get'
  })
}

// 新增管理用户
export function saveAdmin(data) {
  return request({
    url: baseUrl + '/system/user/saveAdmin',
    method: 'post',
    data: data
  })
}
// 新增用户
export function addUser(data) {
  return request({
    url: baseUrl + '/system/user',
    method: 'post',
    data: data
  })
}
// 新增用户
export function saveUser(data) {
  return request({
    url: baseUrl + '/system/user/save',
    method: 'post',
    data: data
  })
}
// 新增中间表
export function saveDeptUser(data) {
  return request({
    url: baseUrl + '/system/user/saveDeptUser',
    method: 'post',
    data: data
  })
}
// 删除中间表
export function delDeptUser(data) {
  return request({
    url: baseUrl + '/system/user/delDeptUser',
    method: 'post',
    data: data
  })
}
// 修改用户
export function updateUser(data) {
  return request({
    url: baseUrl + '/system/user',
    method: 'put',
    data: data
  })
}

// 修改部门用户工段长或调机
export function updateDeptUser(data) {
  return request({
    url: baseUrl + '/system/user/updateDeptUser',
    method: 'put',
    data: data
  })
}

// 删除用户
export function delUser(userId) {
  return request({
    url: baseUrl + '/system/user/' + userId,
    method: 'delete'
  })
}

// 用户密码重置
export function resetUserPwd(userId, password) {
  const data = {
    userId,
    password
  }
  return request({
    url: baseUrl + '/system/user/resetPwd',
    method: 'put',
    data: data
  })
}

// 用户状态修改
export function changeUserStatus(userId, status) {
  const data = {
    userId,
    status
  }
  return request({
    url: baseUrl + '/system/user/changeStatus',
    method: 'put',
    data: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: baseUrl + '/system/user/profile',
    method: 'get'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: baseUrl + '/system/user/profile',
    method: 'put',
    data: data
  })
}

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: baseUrl + '/system/user/profile/updatePwd',
    method: 'put',
    params: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return request({
    url: baseUrl + '/system/user/profile/avatar',
    method: 'post',
    data: data
  })
}

// 查询授权角色
export function getAuthRole(userId) {
  return request({
    url: baseUrl + '/system/user/authRole/' + userId,
    method: 'get'
  })
}

// 保存授权角色
export function updateAuthRole(data) {
  return request({
    url: baseUrl + '/system/user/authRole',
    method: 'put',
    params: data
  })
}

// 查询部门下拉树结构
export function deptTreeSelect(query) {
  return request({
    url: baseUrl + '/system/user/deptTree',
    method: 'get',
    params: query
  })
}
